org.apache.uima.collection.base_cpm

## Interface BaseStatusCallbackListener

- All Known Subinterfaces:
    CasDataStatusCallbackListener, StatusCallbackListener

      public interface BaseStatusCallbackListener

  Interface for a Listener that receives notification from the `BaseCPM` as various events occur. Listeners will not generally implement this interface directly. Instead they will implement `StatusCallbackListener` or `CasDataStatusCallbackListener`. Most UIMA developers will prefer to implement the former.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `aborted()` Called when the processing has been aborted.
    `void` | `batchProcessComplete()` Called when the processing of a batch has completed.
    `void` | `collectionProcessComplete()` Called when the processing of an entire collection has completed.
    `void` | `initializationComplete()` Called when the Collection Processing Manager's initialization has completed.
    `void` | `paused()` Called when the processing has been paused.
    `void` | `resumed()` Called when the processing has been resumed (after it had been previously paused).

- - ### Method Detail

    - #### initializationComplete

          void initializationComplete()

      Called when the Collection Processing Manager's initialization has completed.

    - #### batchProcessComplete

          void batchProcessComplete()

      Called when the processing of a batch has completed.

    - #### collectionProcessComplete

          void collectionProcessComplete()

      Called when the processing of an entire collection has completed.

    - #### paused

          void paused()

      Called when the processing has been paused.

    - #### resumed

          void resumed()

      Called when the processing has been resumed (after it had been previously paused).

    - #### aborted

          void aborted()

      Called when the processing has been aborted.

Copyright © 2006–2017 The Apache Software Foundation. All rights reserved.